<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEventSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: event_settings
         */
        Schema::create('event_settings', function ($table) {
            $table->increments('id');
            $table->integer('event_id')->nullable();
            $table->string('setting', 255)->nullable();
            $table->text('value')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('event_settings');
    }
}
