<?php

namespace Annie\Event;

use DB;
use Illuminate\Database\Seeder;

class EventInvitationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('event_invitations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'event.event_invitation.view',
                'name'      => 'View EventInvitation',
            ],
            [
                'slug'      => 'event.event_invitation.create',
                'name'      => 'Create EventInvitation',
            ],
            [
                'slug'      => 'event.event_invitation.edit',
                'name'      => 'Update EventInvitation',
            ],
            [
                'slug'      => 'event.event_invitation.delete',
                'name'      => 'Delete EventInvitation',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/event/event_invitation',
                'name'        => 'EventInvitation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/event/event_invitation',
                'name'        => 'EventInvitation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'event_invitation',
                'name'        => 'EventInvitation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Event',
                'module'    => 'EventInvitation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'event.event_invitation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
