<?php

namespace Annie\Event;

use DB;
use Illuminate\Database\Seeder;

class EventLeadTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('event_leads')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'event.event_lead.view',
                'name'      => 'View EventLead',
            ],
            [
                'slug'      => 'event.event_lead.create',
                'name'      => 'Create EventLead',
            ],
            [
                'slug'      => 'event.event_lead.edit',
                'name'      => 'Update EventLead',
            ],
            [
                'slug'      => 'event.event_lead.delete',
                'name'      => 'Delete EventLead',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/event/event_lead',
                'name'        => 'EventLead',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/event/event_lead',
                'name'        => 'EventLead',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'event_lead',
                'name'        => 'EventLead',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Event',
                'module'    => 'EventLead',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'event.event_lead.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
