Lavalite package that provides event management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `annie/event`.

    "annie/event": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Annie\Event\Providers\EventServiceProvider::class,

And also add it to alias

    'Event'  => Annie\Event\Facades\Event::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Annie\\EventTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Annie\Event\Providers\EventServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Annie\Event\Providers\EventServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Annie\Event\Providers\EventServiceProvider" --tag="view"


## Usage


