<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for event in event package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  event module in event package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Event',
    'names'         => 'Events',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Events',
        'sub'   => 'Events',
        'list'  => 'List of events',
        'edit'  => 'Edit event',
        'create'    => 'Create new event'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => '',
        'user_type'                  => '',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'venue'                      => 'Please enter venue',
        'state_id'                   => 'Please enter state',
        'city_id'                    => 'Please enter city',
        'block_id'                   => 'Please enter block',
        'village_id'                 => 'Please enter village',
        'lat'                        => 'Please enter lat',
        'lon'                        => 'Please enter lon',
        'contact_name'               => 'Please enter contact name',
        'contact_mobile'             => 'Please enter contact mobile',
        'type'                       => 'Please enter type',
        'start_date_time'            => 'Please select start date time',
        'end_date_time'              => 'Please select end date time',
        'registration_end_date'        => 'Please select registration end date',
        'purchase_end_date'          => 'Please select purchase end date',
        'event_banner'               => 'Please enter event banner',
        'images'                     => 'Please enter images',
        'videos'                     => 'Please enter videos',
        'documents'                  => 'Please enter documents',
        'highlights'                 => 'Please enter highlights',
        'donation_support_text'        => 'Please enter donation support text',
        'status'                     => 'Please enter status',
        'hashtags'                   => 'Please enter hashtags',
        'meta_title'                 => 'Please enter meta title',
        'meta_keywords'              => 'Please enter meta keywords',
        'meta_description'           => 'Please enter meta description',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select crreated at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => '',
        'user_type'                  => '',
        'name'                       => 'Name',
        'description'                => 'Description',
        'venue'                      => 'Venue',
        'state_id'                   => 'State',
        'city_id'                    => 'City',
        'block_id'                   => 'Block',
        'village_id'                 => 'Village',
        'lat'                        => 'Lat',
        'lon'                        => 'Lon',
        'contact_name'               => 'Contact name',
        'contact_mobile'             => 'Contact mobile',
        'type'                       => 'Type',
        'start_date_time'            => 'Start date time',
        'end_date_time'              => 'End date time',
        'registration_end_date'        => 'Registration end date',
        'purchase_end_date'          => 'Purchase end date',
        'event_banner'               => 'Event banner',
        'images'                     => 'Images',
        'videos'                     => 'Videos',
        'documents'                  => 'Documents',
        'highlights'                 => 'Highlights',
        'donation_support_text'        => 'Donation support text',
        'status'                     => 'Status',
        'hashtags'                   => 'Hashtags',
        'meta_title'                 => 'Meta title',
        'meta_keywords'              => 'Meta keywords',
        'meta_description'           => 'Meta description',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => '',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 2, 'checked'],
        'venue'                      => ['name' => 'Venue', 'data-column' => 3, 'checked'],
        'state_id'                   => ['name' => 'State', 'data-column' => 4, 'checked'],
        'city_id'                    => ['name' => 'City', 'data-column' => 5, 'checked'],
        'block_id'                   => ['name' => 'Block', 'data-column' => 6, 'checked'],
        'village_id'                 => ['name' => 'Village', 'data-column' => 7, 'checked'],
        'lat'                        => ['name' => 'Lat', 'data-column' => 8, 'checked'],
        'lon'                        => ['name' => 'Lon', 'data-column' => 9, 'checked'],
        'contact_name'               => ['name' => 'Contact name', 'data-column' => 10, 'checked'],
        'contact_mobile'             => ['name' => 'Contact mobile', 'data-column' => 11, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 12, 'checked'],
        'start_date_time'            => ['name' => 'Start date time', 'data-column' => 13, 'checked'],
        'end_date_time'              => ['name' => 'End date time', 'data-column' => 14, 'checked'],
        'registration_end_date'        => ['name' => 'Registration end date', 'data-column' => 15, 'checked'],
        'purchase_end_date'          => ['name' => 'Purchase end date', 'data-column' => 16, 'checked'],
        'event_banner'               => ['name' => 'Event banner', 'data-column' => 17, 'checked'],
        'documents'                  => ['name' => 'Documents', 'data-column' => 18, 'checked'],
        'hashtags'                   => ['name' => 'Hashtags', 'data-column' => 19, 'checked'],
        'meta_title'                 => ['name' => 'Meta title', 'data-column' => 20, 'checked'],
        'meta_keywords'              => ['name' => 'Meta keywords', 'data-column' => 21, 'checked'],
        'meta_description'           => ['name' => 'Meta description', 'data-column' => 22, 'checked'],
        'created_at'                 => ['name' => '', 'data-column' => 23, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Events',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
