<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for event_invitation in event package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  event_invitation module in event package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'EventInvitation',
    'names'         => 'EventInvitations',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'EventInvitations',
        'sub'   => 'EventInvitations',
        'list'  => 'List of event_invitations',
        'edit'  => 'Edit event_invitation',
        'create'    => 'Create new event_invitation'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'event_id'                   => 'Please enter event id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'invited_by'                 => 'Please enter invited by',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'event_id'                   => 'Event id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'invited_by'                 => 'Invited by',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'event_id'                   => ['name' => 'Event id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'invited_by'                 => ['name' => 'Invited by', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'EventInvitations',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
