<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for event_lead in event package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  event_lead module in event package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'EventLead',
    'names'         => 'EventLeads',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'EventLeads',
        'sub'   => 'EventLeads',
        'list'  => 'List of event_leads',
        'edit'  => 'Edit event_lead',
        'create'    => 'Create new event_lead'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'event_id'                   => 'Please enter event id',
        'user_id'                    => 'Please enter user id',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'event_id'                   => 'Event id',
        'user_id'                    => 'User id',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'EventLeads',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
