<div class="btn-group event-event">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[name]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[description]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[venue]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.venue')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[venue]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[state_id]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.state_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[state_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[city_id]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.city_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[city_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[block_id]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.block_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[block_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[village_id]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.village_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[village_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[lat]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.lat')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[lat]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[lon]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.lon')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[lon]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_name]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.contact_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_mobile]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.contact_mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[type]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[start_date_time]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.start_date_time')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[start_date_time]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[end_date_time]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.end_date_time')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[end_date_time]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[registration_end_date]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.registration_end_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[registration_end_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[purchase_end_date]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.purchase_end_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[purchase_end_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[event_banner]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.event_banner')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[event_banner]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[documents]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.documents')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[documents]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[hashtags]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.hashtags')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[hashtags]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_title]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.meta_title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_keywords]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.meta_keywords')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_keywords]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[meta_description]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.meta_description')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[meta_description]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[created_at]" class="col-sm-2 control-label">
                                        {!! trans('event::event.label.created_at')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[created_at]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".event-event .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/event.event.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".event-event .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.event-event .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'event.event.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#event-event-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#event-event-list .btn-reset-filter').css('display', 'none');

    });

});
</script>