    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('event::event_community.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#event-event_community-entry' data-href='{{guard_url('event/event_community/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($event_community->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#event-event_community-entry' data-href='{{ guard_url('event/event_community') }}/{{$event_community->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#event-event_community-entry' data-datatable='#event-event_community-list' data-href='{{ guard_url('event/event_community') }}/{{$event_community->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('event-event_community-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('event/event_community'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('event::event_community.name') !!}  [{!! $event_community->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('event::admin.event_community.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>