<?php

namespace Annie\Event\Repositories\Eloquent;

use Annie\Event\Interfaces\EventCommunityRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventCommunityRepository extends BaseRepository implements EventCommunityRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.event.event_community.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.event.event_community.model.model');
    }
}
