<?php

namespace Annie\Event\Repositories\Eloquent;

use Annie\Event\Interfaces\EventSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventSettingRepository extends BaseRepository implements EventSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.event.event_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.event.event_setting.model.model');
    }
}
