            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('event::event.label.name'))
                       -> required()
                       -> placeholder(trans('event::event.placeholder.name'))!!}
                </div>

                <div class='col-md-12'>
                    {!! Form::textarea('description')
                    -> label(trans('event::event.label.description'))
                    -> dataUpload(trans_url($event->getUploadURL('description')))
                    -> required()
                    -> addClass('html-editor')
                    -> placeholder(trans('event::event.placeholder.description'))!!}
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('venue')
                       -> label(trans('event::event.label.venue'))
                       -> placeholder(trans('event::event.placeholder.venue'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('state_id')
                    -> options(trans('event::event.options.state_id'))
                    -> label(trans('event::event.label.state_id'))
                    -> required()
                    -> placeholder(trans('event::event.placeholder.state_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('city_id')
                    -> options(trans('event::event.options.city_id'))
                    -> label(trans('event::event.label.city_id'))
                    -> required()
                    -> placeholder(trans('event::event.placeholder.city_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('block_id')
                    -> options(trans('event::event.options.block_id'))
                    -> label(trans('event::event.label.block_id'))
                    -> required()
                    -> placeholder(trans('event::event.placeholder.block_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('village_id')
                    -> options(trans('event::event.options.village_id'))
                    -> label(trans('event::event.label.village_id'))
                    -> required()
                    -> placeholder(trans('event::event.placeholder.village_id'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('lat')
                       -> label(trans('event::event.label.lat'))
                       -> placeholder(trans('event::event.placeholder.lat'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('lon')
                       -> label(trans('event::event.label.lon'))
                       -> placeholder(trans('event::event.placeholder.lon'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_name')
                       -> label(trans('event::event.label.contact_name'))
                       -> placeholder(trans('event::event.placeholder.contact_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_mobile')
                       -> label(trans('event::event.label.contact_mobile'))
                       -> placeholder(trans('event::event.placeholder.contact_mobile'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('type')
                       -> label(trans('event::event.label.type'))
                       -> placeholder(trans('event::event.placeholder.type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    <div class='form-group'>
                        <label for='start_date_time' class='control-label'>{!!trans('event::event.label.start_date_time')!!}</label>
                        <div class='input-group pickdatetime'>
                            {!! Form::text('start_date_time')
                            -> placeholder(trans('event::event.placeholder.start_date_time'))
                            -> addClass('pickdatetime')
                            ->raw()!!}
                           <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                        </div>
                    </div>
                 </div>

                <div class='col-md-4 col-sm-6'>
                    <div class='form-group'>
                        <label for='end_date_time' class='control-label'>{!!trans('event::event.label.end_date_time')!!}</label>
                        <div class='input-group pickdatetime'>
                            {!! Form::text('end_date_time')
                            -> placeholder(trans('event::event.placeholder.end_date_time'))
                            -> addClass('pickdatetime')
                            ->raw()!!}
                           <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                        </div>
                    </div>
                 </div>

                <div class='col-md-4 col-sm-6'>
                    <div class='form-group'>
                        <label for='registration_end_date' class='control-label'>{!!trans('event::event.label.registration_end_date')!!}</label>
                        <div class='input-group pickdatetime'>
                            {!! Form::text('registration_end_date')
                            -> placeholder(trans('event::event.placeholder.registration_end_date'))
                            -> addClass('pickdatetime')
                            ->raw()!!}
                           <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                        </div>
                    </div>
                 </div>

                <div class='col-md-4 col-sm-6'>
                    <div class='form-group'>
                        <label for='purchase_end_date' class='control-label'>{!!trans('event::event.label.purchase_end_date')!!}</label>
                        <div class='input-group pickdatetime'>
                            {!! Form::text('purchase_end_date')
                            -> placeholder(trans('event::event.placeholder.purchase_end_date'))
                            -> addClass('pickdatetime')
                            ->raw()!!}
                           <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                        </div>
                    </div>
                 </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('event_banner')
                       -> label(trans('event::event.label.event_banner'))
                       -> placeholder(trans('event::event.placeholder.event_banner'))!!}
                </div>

                <div class='col-md-12'>
                    {!! Form::textarea('images')
                    -> label(trans('event::event.label.images'))
                    -> dataUpload(trans_url($event->getUploadURL('images')))
                    -> addClass('html-editor')
                    -> placeholder(trans('event::event.placeholder.images'))!!}
                </div>
                <div class='col-md-12'>
                    {!! Form::textarea('videos')
                    -> label(trans('event::event.label.videos'))
                    -> dataUpload(trans_url($event->getUploadURL('videos')))
                    -> addClass('html-editor')
                    -> placeholder(trans('event::event.placeholder.videos'))!!}
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('documents')
                       -> label(trans('event::event.label.documents'))
                       -> placeholder(trans('event::event.placeholder.documents'))!!}
                </div>

                <div class='col-md-12'>
                    {!! Form::textarea('highlights')
                    -> label(trans('event::event.label.highlights'))
                    -> dataUpload(trans_url($event->getUploadURL('highlights')))
                    -> addClass('html-editor')
                    -> placeholder(trans('event::event.placeholder.highlights'))!!}
                </div>
                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('donation_support_text')
                    -> label(trans('event::event.label.donation_support_text'))
                    -> placeholder(trans('event::event.placeholder.donation_support_text'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('hashtags')
                       -> label(trans('event::event.label.hashtags'))
                       -> placeholder(trans('event::event.placeholder.hashtags'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('meta_title')
                       -> label(trans('event::event.label.meta_title'))
                       -> placeholder(trans('event::event.placeholder.meta_title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('meta_keywords')
                       -> label(trans('event::event.label.meta_keywords'))
                       -> placeholder(trans('event::event.placeholder.meta_keywords'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('meta_description')
                       -> label(trans('event::event.label.meta_description'))
                       -> placeholder(trans('event::event.placeholder.meta_description'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    <div class='form-group'>
                        <label for='created_at' class='control-label'>{!!trans('event::event.label.created_at')!!}</label>
                        <div class='input-group pickdatetime'>
                            {!! Form::text('created_at')
                            -> placeholder(trans('event::event.placeholder.created_at'))
                            -> addClass('pickdatetime')
                            ->raw()!!}
                           <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                        </div>
                    </div>
                 </div>
            </div>