<?php

namespace Annie\Event\Repositories\Eloquent;

use Annie\Event\Interfaces\EventLeadRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventLeadRepository extends BaseRepository implements EventLeadRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.event.event_lead.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.event.event_lead.model.model');
    }
}
