<?php

namespace Annie\Event\Repositories\Eloquent;

use Annie\Event\Interfaces\EventSchoolRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventSchoolRepository extends BaseRepository implements EventSchoolRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.event.event_school.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.event.event_school.model.model');
    }
}
