<?php

namespace Annie\Event\Repositories\Eloquent;

use Annie\Event\Interfaces\EventSocialPartnerRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EventSocialPartnerRepository extends BaseRepository implements EventSocialPartnerRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('annie.event.event_social_partner.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('annie.event.event_social_partner.model.model');
    }
}
